Upstream information

CVE-2018-14348 at MITRE

Description

libcgroup up to and including 0.41 creates /var/log/cgred with mode 0666 regardless of the configured umask, leading to disclosure of information.

SUSE information

Overall state of this security issue: Running

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 5.5
Vector AV:N/AC:L/Au:S/C:P/I:P/A:N
Access Vector Network
Access Complexity Low
Authentication Single
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact None
CVSS v3 Scores
  SUSE
Base Score 5.1
Vector AV:L/AC:L/PR:N/UI:N/S:U/C:L/I:L/A:N
Access Vector Local
Access Complexity Low
Privileges Required None
User Interaction None
Scope Unchanged
Confidentiality Impact Low
Integrity Impact Low
Availability Impact None
SUSE Bugzilla entry: 1100365 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 12 SP3
  • libcgroup >= 0.41.rc1-10.9.1
  • libcgroup1 >= 0.41.rc1-10.9.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP3-2018-1453
SUSE-SLE-DESKTOP-12-SP3-2018-1732
SUSE Linux Enterprise Server 11 SP4
  • libcgroup1 >= 0.41.rc1-7.1
Patchnames:
slessp4-libcgroup1-13708
SUSE Linux Enterprise Server 12 SP3
  • libcgroup >= 0.41.rc1-10.9.1
  • libcgroup-tools >= 0.41.rc1-10.9.1
  • libcgroup1 >= 0.41.rc1-10.9.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-2018-1453
SUSE-SLE-SERVER-12-SP3-2018-1732
SUSE Linux Enterprise Server for SAP Applications 11 SP4
  • libcgroup1 >= 0.41.rc1-7.1
Patchnames:
slessp4-libcgroup1-13708
SUSE Linux Enterprise Server for SAP Applications 12 SP3
  • libcgroup >= 0.41.rc1-10.9.1
  • libcgroup-tools >= 0.41.rc1-10.9.1
  • libcgroup1 >= 0.41.rc1-10.9.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-2018-1453
SUSE-SLE-SERVER-12-SP3-2018-1732
SUSE Linux Enterprise Software Development Kit 11 SP4
  • libcgroup-devel >= 0.41.rc1-7.1
  • libcgroup1 >= 0.41.rc1-7.1
Patchnames:
sdksp4-libcgroup1-13708
SUSE Linux Enterprise Software Development Kit 12 SP3
  • libcgroup >= 0.41.rc1-10.9.1
  • libcgroup-devel >= 0.41.rc1-10.9.1
Patchnames:
SUSE-SLE-SDK-12-SP3-2018-1453
SUSE-SLE-SDK-12-SP3-2018-1732
openSUSE Leap 42.3
  • libcgroup >= 0.41-8.3.1
  • libcgroup-debugsource >= 0.41-8.3.1
  • libcgroup-devel >= 0.41-8.3.1
  • libcgroup-tools >= 0.41-8.3.1
  • libcgroup-tools-debuginfo >= 0.41-8.3.1
  • libcgroup1 >= 0.41-8.3.1
  • libcgroup1-32bit >= 0.41-8.3.1
  • libcgroup1-debuginfo >= 0.41-8.3.1
  • libcgroup1-debuginfo-32bit >= 0.41-8.3.1
Patchnames:
openSUSE-2018-821


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 12 SP3 libcgroup Released
SUSE Linux Enterprise SDK 11 SP4 libcgroup1 In progress
SUSE Linux Enterprise SDK 12 SP3 libcgroup Released
SUSE Linux Enterprise Server 11 SP3 LTSS libcgroup1 Affected
SUSE Linux Enterprise Server 11 SP4 libcgroup1 In progress
SUSE Linux Enterprise Server 12 GA LTSS libcgroup Affected
SUSE Linux Enterprise Server 12 SP1 LTSS libcgroup Affected
SUSE Linux Enterprise Server 12 SP2 LTSS libcgroup Affected
SUSE Linux Enterprise Server 12 SP3 libcgroup Released